// Fixer le titre de la page HTML
function fixeTitre()
{
	document.title = document.getElementById("titre").innerText
}
fixeTitre()

// Créer une table des matières
function creeTableDesMatieres()
{
	var tdm = document.getElementById("tdm")
	if (tdm != undefined)
	{
		var chaineTDM = "Table des matières<ul>"
		var listeH = function(noeuds)
		{
			if (noeuds != undefined)
				for (var i = 0; i < noeuds.length; i++)
					if (noeuds[i] != undefined)
					{
						var nomNoeud = noeuds[i].nodeName
						if (nomNoeud[0] == "H")
						{
							var nomLien = i+noeuds[i].innerHTML.replace(/ /g, "")
							noeuds[i].id = nomLien
							var numero = nomNoeud[1]|0
							chaineTDM += "<li class='h"+numero+"'><a href='#"+nomLien+"'>"+noeuds[i].innerHTML+"</a></li>"
							listeH(noeuds[i].childNodes)
						}
					}
		}
		listeH(document.body.childNodes)
		chaineTDM += "</ul>"
		tdm.innerHTML = chaineTDM
	}
}
creeTableDesMatieres()

// Créer une table des figures
function creeTableDesFigures()
{
	var tdf = document.getElementById("tdf")
	if (tdf != undefined)
	{
		var chaineTDF = "Table des figures<ul>"
		var listeFigures = function(noeuds)
		{
			if (noeuds != undefined)
				for (var i = 0; i < noeuds.length; i++)
					if (noeuds[i] != undefined)
					{
						var nomNoeud = noeuds[i].className
						if (nomNoeud != undefined && (nomNoeud.localeCompare("figure") == 0 || nomNoeud.indexOf("figure ") != -1))
						{
							var nomLien = i+noeuds[i].innerHTML.replace(/ /g, "")
							noeuds[i].id = nomLien
							var numero = nomNoeud[1]|0
							chaineTDF += "<li class='fig'><a href='#"+nomLien+"'>"+noeuds[i].innerHTML+"</a></li>"
						}
						listeFigures(noeuds[i].childNodes)
					}
		}
		listeFigures(document.body.childNodes)
		chaineTDF += "</ul>"
		tdf.innerHTML = chaineTDF
	}
}
creeTableDesFigures()

// Créer les notes de bas de page
function creeNotesBasDePage()
{
	var chaineNotes = ""
	var listeNotes = function(noeuds)
	{
		if (noeuds != undefined)
		{
			for (var i = 0; i < noeuds.length; i++)
				if (noeuds[i] != undefined)
				{
					var nomNoeud = noeuds[i].className
					if (nomNoeud != undefined && (nomNoeud.localeCompare("note") == 0 || nomNoeud.indexOf("note ") != -1))
					{
						chaineNotes += "<div class='noteBasDePage'>"+noeuds[i].innerHTML+"</div><br>"
					}
					listeNotes(noeuds[i].childNodes)
				}
		}
	}
	listeNotes(document.body.childNodes)
	if (chaineNotes.length != 0)
	{
		var element = document.createElement("p")
		element.setAttribute("id", "notesBasDePage")
		element.innerHTML = "<hr>"+chaineNotes
		document.body.appendChild(element, document.body)
	}
}
creeNotesBasDePage()
